Changelog for gprof: entries are in ascending order

gprof.c:: ++jrb
	add reloc before dumping the summary file to the symbol value
	add _malloczero(1) :: the code seems to assume it.

------------------------------- Patchlevel 2 ---------------------------

gprof.c, st-out.h:: andreas
	handle long GST format symbols

	++jrb:: use of gcc -G to get long symbols is *HIGHLY* recommended
	(in fact i am considering making this the default. BTW
	 thanks to apratt@atari, db now supports GST symbols. So
	 does Michal Jaegermann's version of szadb)

------------------------------- Patchlevel 3 ---------------------------

*.[ch]:: ++jrb
	-- sync code up with GNU gprof from binutils 1.9.
	-- add in g++ name demangler hooks. to use the name demangler
	all you have to do is delete the function cplus_demangle()
	from the end of gprof.c and link in cplus-dem.o instead.
	for now we leave this out because even with -G the mangled
	names are too long, and the demangler gets confused.


gprof.c:: ++jrb
	filter out "gcc_compiled" symbols
	filter out the dummy symbols ld dumped in (in write_atari_sym)
	   (ie. syms of type A_UNDF). Some of these are legit and not
	   dummies, but certainly are of no interest to profiling.
	filter out symbols that look like "D:<name>" where D is any drive.
	  (this is to catch cases where there is no '\' in the pathname)

------------------------------- Patchlevel 4 ---------------------------

gprof.c:: ++jrb
	pass underscores to the demangler.
	link in demangler

cplusdem.c:: ++jrb
	c++ demangler

Makefile:: ++jrb
	link in demangler

------------------------------- Patchlevel 5 ---------------------------

gprof.c:: ++jrb
	various fixes from the net. gprof -s should work better now.

------------------------------- Patchlevel 6 ---------------------------

cplusdem.c:: ++jrb
        fix up demangler as per util diffs

------------------------------- Patchlevel 7 ---------------------------
